<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>

    <style>
        table {
            width: 80%;
            border: 1px solid black;
        }

        table>tbody>tr>td {
            text-align: center;
            border: 1px solid black;
        }
    </style>


</head>

<body>

    <h1>Eesti börsiettevõted</h1>

    <table>
        <thead>
            <tr>
                <th>Nimi</th>
                <th>Asutatud</th>
                <th>töötajaid</th>

            </tr>


        </thead>

        <tbody id="companiesTableBody">

        </tbody>

    </table>

    <br>
    <h2>Lisa uus ettevõte</h2>
    Nimi: <br>
    <input type="text" id="companyName"><br>
    Asutatud: <br>
    <input type="date" id="companyEstablished"><br>
    Töötajate arv: <br>
    <input type="number" id="companyEmployees"><br>
    <button onclick="postCompany()">Salvesta</button>


    <script>

        //EX23

        async function getCompanies() {
            console.log("Hakkame fetch() järel ootama....");
            let result = await fetch('http://192.168.55.113:8101/companies');
            let companies = await result.json();
            displayCompanies(companies);
            console.log("Meie ettevõtted on siin...", companies);
            console.log("Valmis, fetch() meetod lõpetas tegevuse!");

        }

        function displayCompanies(companies) {
            let companiesHtml = "";
            for (let i = 0; i < companies.length; i++) {
                companiesHtml = companiesHtml + `
                 <tr>
                    <td>${companies[i].name}</td>
                    <td>${companies[i].established}</td>
                    <td>${companies[i].employees}</td>
                 </tr> 
                 `;
            }
            document.querySelector('#companiesTableBody').innerHTML = companiesHtml;
        }
        getCompanies();

        async function postCompany() {
            let company = {
                name: document.querySelector('#companyName').value,
                established: document.querySelector('companyEstablished').value,
                employees: document.querySelector('#companyEmployees').value
            };
            let companyJson = JSON.stringify(company);


            await fetch('http://192.168.55.113:8101/companies', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json'
                },
                body: companyJson
            });
            getCompanies();

        }

    </script>
</body>

</html>